fix condition. It's train/chart

Signed-off-by: Stavros Kois <47820033+stavros-k@users.noreply.github.com>
This commit is contained in:
Stavros Kois 2023-05-25 20:22:23 +03:00 committed by GitHub
parent b825f60638
commit 3eb1d28fbe
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 4 additions and 4 deletions

View File

@ -101,7 +101,7 @@ for idx in $(eval echo "{0..$length}"); do
if [ ! $? ]; then
echo "❌ wget encountered an error..."
if [[ "$train_chart" == "incubator" ]]; then
if [[ "$train_chart" == "incubator/*" ]]; then
helm dependency build "$charts_path/$train_chart/Chart.yaml" || \
helm dependency update "$charts_path/$train_chart/Chart.yaml"|| exit 1
else
@ -112,17 +112,17 @@ for idx in $(eval echo "{0..$length}"); do
if [ -f "$cache_path/$repo_dir/$name-$version.tgz" ]; then
echo "✅ Dependency Downloaded!"
if [[ "$train_chart" != "incubator" ]]; then
if [[ "$train_chart" != "incubator/*" ]]; then
echo "Validating dependency signature..."
helm verify $cache_path/$repo_dir/$name-$version.tgz --keyring $gpg_dir/pubring.gpg || \
helm verify $cache_path/$repo_dir/$name-$version.tgz --keyring $gpg_dir/pubring.gpg || exit 1
else
echo "Train $train_chart is Incubator skipping dependency signature verification..."
echo "Skipping dependency signature verification for $train_chart..."
fi
else
echo "❌ Failed to download dependency"
# Try helm dependency build/update or otherwise fail fast if a dep fails to download...
if [[ "$train_chart" == "incubator" ]]; then
if [[ "$train_chart" == "incubator/*" ]]; then
helm dependency build "$charts_path/$train_chart/Chart.yaml" || \
helm dependency update "$charts_path/$train_chart/Chart.yaml"|| exit 1
else